<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('WorkBG_Trans', function (Blueprint $table) {
           $table->enum('Status', ['draft', 'hod_app', 'hod_rej'])
              ->default('draft')
              ->after('WBT_BillNo');

        $table->text('Remarks')
              ->nullable()
              ->after('Status');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('WorkBG_Trans', function (Blueprint $table) {
               $table->dropColumn(['Status', 'Remarks']);

        });
    }
};
